#ifndef _EDITMISC_H
#define _EDITMISC_H

#include <QDialog>


namespace Ui {
class EditMisc;
}

class EditMisc : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditMisc(int id, QWidget *parent = 0);
    ~EditMisc();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void weight_changed();
    void time_changed();
    void prod_date_clear();
    void prod_date_today();
    void tht_date_clear();
    void tht_date_today();

private:
    Ui::EditMisc *ui;
    int recno, lasttime = 0;
    bool textIsChanged = false;

    void WindowTitle();
    void UnitSet();
    void TimeSet();
};

#endif
